<!DOCTYPE html>
<html>
<head>
    <title>TEST OAUTH POST (based on a Moodle LTI call)</title>
</head>
<body>

<form action="http://tice205.unice.fr/wims/fr_adm~lti.html" name="ltiLaunchForm" id="ltiLaunchForm" method="post" enctype="application/x-www-form-urlencoded">
  <fieldset>
   <legend>TEST 01</legend>
    <input type="hidden" name="oauth_consumer_key" value="tice205">


    <input type="hidden" name="context_id" value="2">
    <input type="hidden" name="context_label" value="test01">
    <input type="hidden" name="context_title" value="Cours de test 01">
    <input type="hidden" name="context_type" value="CourseSection">

    <input type="hidden" name="ext_lms" value="moodle-2">
    <input type="hidden" name="ext_user_username" value="admin">

    <input type="hidden" name="launch_presentation_document_target" value="iframe">
    <input type="hidden" name="launch_presentation_locale" value="fr">
    <input type="hidden" name="launch_presentation_return_url" value="http://192.168.56.6/moodle/mod/lti/return.php?course=2&amp;launch_container=3&amp;instanceid=12&amp;sesskey=fIPGctoGFZ">

    <input type="hidden" name="lis_course_section_sourcedid" value="">
    <input type="hidden" name="lis_outcome_service_url" value="http://192.168.56.6/moodle/mod/lti/service.php">

    <input type="hidden" name="lis_person_contact_email_primary" value="bado@unice.fr">
    <input type="hidden" name="lis_person_name_family" value="Utilisateur">
    <input type="hidden" name="lis_person_name_full" value="Admin Utilisateur">
    <input type="hidden" name="lis_person_name_given" value="Admin">
    <input type="hidden" name="lis_person_sourcedid" value="456">

    <input type="hidden" name="lis_result_sourcedid" value="{&quot;data&quot;:{&quot;instanceid&quot;:&quot;12&quot;,&quot;userid&quot;:&quot;2&quot;,&quot;typeid&quot;:&quot;5&quot;,&quot;launchid&quot;:1999518854},&quot;hash&quot;:&quot;a7d61dffda18020924b800fc9dc404ea30c41fa29e609762797e7288bae317da&quot;}">

    <input type="hidden" name="lti_message_type" value="basic-lti-launch-request">
    <input type="hidden" name="lti_version" value="LTI-1p0">

    <input type="hidden" name="oauth_callback" value="about:blank">
    <input type="hidden" name="oauth_nonce" value="86598c7df411af2ee8f773d9e32897cc">
    <input type="hidden" name="oauth_signature_method" value="HMAC-SHA1">
    <input type="hidden" name="oauth_timestamp" value="1520528036">
    <input type="hidden" name="oauth_version" value="1.0">

    <input type="hidden" name="resource_link_description" value="">
    <input type="hidden" name="resource_link_id" value="12">
    <input type="hidden" name="resource_link_title" value="encore un test lti">

    <input type="hidden" name="roles" value="Instructor,urn:lti:sysrole:ims/lis/Administrator,urn:lti:instrole:ims/lis/Administrator">

    <input type="hidden" name="tool_consumer_info_product_family_code" value="moodle">
    <input type="hidden" name="tool_consumer_info_version" value="2017051502.13">
    <input type="hidden" name="tool_consumer_instance_description" value="MoodleVM">
    <input type="hidden" name="tool_consumer_instance_guid" value="192.168.56.6">
    <input type="hidden" name="tool_consumer_instance_name" value="moodle">

    <input type="hidden" name="user_id" value="2">

    <input type="hidden" name="oauth_signature" value="7ey2bhH0MJgZAUhqJBw1KWnng6Y=">

    <br /><input type="submit">
  </fieldset>
</form>

<form action="http://tice205.unice.fr/wims/fr_adm~lti.html" name="ltiLaunchForm" id="ltiLaunchForm" method="post" enctype="application/x-www-form-urlencoded">
  <fieldset>
   <legend>TEST 02</legend>
    <input name="oauth_version" value="1.0" type="hidden">
    <input name="oauth_nonce" value="0f61c5df2ce77a2bb6e2d2bd5ce7a231" type="hidden">
    <input name="oauth_timestamp" value="1520603651" type="hidden">
    <input name="oauth_consumer_key" value="tice205" type="hidden">
    <input name="user_id" value="2" type="hidden">
    <input name="lis_person_sourcedid" value="456" type="hidden">
    <input name="roles" value="Instructor,urn:lti:sysrole:ims/lis/Administrator,urn:lti:instrole:ims/lis/Administrator" type="hidden">
    <input name="context_id" value="2" type="hidden">
    <input name="context_label" value="test01" type="hidden">
    <input name="context_title" value="Cours de test 01" type="hidden">
    <input name="resource_link_title" value="encore un test lti" type="hidden">
    <input name="resource_link_description" value="" type="hidden">
    <input name="resource_link_id" value="12" type="hidden">
    <input name="context_type" value="CourseSection" type="hidden">
    <input name="lis_course_section_sourcedid" value="" type="hidden">
    <input name="lis_result_sourcedid" value="{&quot;data&quot;:{&quot;instanceid&quot;:&quot;12&quot;,&quot;userid&quot;:&quot;2&quot;,&quot;typeid&quot;:&quot;5&quot;,&quot;launchid&quot;:2104245625},&quot;hash&quot;:&quot;38b76e525c66f53320c4ec1f243cab3a2246c0a881aa1445b83f32d2677656d2&quot;}" type="hidden">
    <input name="lis_outcome_service_url" value="http://192.168.56.6/moodle/mod/lti/service.php" type="hidden">
    <input name="lis_person_name_given" value="Admin" type="hidden">
    <input name="lis_person_name_family" value="Utilisateur" type="hidden">
    <input name="lis_person_name_full" value="Admin Utilisateur" type="hidden">
    <input name="ext_user_username" value="admin" type="hidden">
    <input name="lis_person_contact_email_primary" value="bado@unice.fr" type="hidden">
    <input name="launch_presentation_locale" value="fr" type="hidden">
    <input name="ext_lms" value="moodle-2" type="hidden">
    <input name="tool_consumer_info_product_family_code" value="moodle" type="hidden">
    <input name="tool_consumer_info_version" value="2017051502.13" type="hidden">
    <input name="oauth_callback" value="about:blank" type="hidden">
    <input name="lti_version" value="LTI-1p0" type="hidden">
    <input name="lti_message_type" value="basic-lti-launch-request" type="hidden">
    <input name="tool_consumer_instance_guid" value="192.168.56.6" type="hidden">
    <input name="tool_consumer_instance_name" value="moodle" type="hidden">
    <input name="tool_consumer_instance_description" value="MoodleVM" type="hidden">
    <input name="launch_presentation_document_target" value="iframe" type="hidden">
    <input name="launch_presentation_return_url" value="http://192.168.56.6/moodle/mod/lti/return.php?course=2&amp;launch_container=3&amp;instanceid=12&amp;sesskey=58dcJZxTtp" type="hidden">
    <input name="oauth_signature_method" value="HMAC-SHA1" type="hidden">
    <input name="oauth_signature" value="vwueLG+Vh9t7NZbZOWR8pamFn+U=" type="hidden">

    <br /><input type="submit">
  </fieldset>
</form>
</body>
</html>